unit DFWFoldPanelU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DFWFoldPanel, StdCtrls;

type
  TForm1 = class(TForm)
    DFWFoldPanel1: TDFWFoldPanel;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    ComboBox1: TComboBox;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    ColorDialog1: TColorDialog;
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     DFWFoldPanel1.Seperated:=Checkbox1.checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     if opendialog1.execute then DFWFoldPanel1.Bitmap.loadfromfile(OpenDialog1.filename);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     if ColorDialog1.execute then DFWFoldPanel1.FoldActiveColor:=ColorDialog1.color;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     if opendialog1.execute then DFWFoldPanel1.GlyphCollaps.loadfromfile(OpenDialog1.filename);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     if opendialog1.execute then DFWFoldPanel1.GlyphExpand.loadfromfile(OpenDialog1.filename);
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
     case ComboBox1.itemindex of
       0:DFWFoldPanel1.SeperatorLineStyle:=bslowered;
       1:DFWFoldPanel1.SeperatorLineStyle:=bsraised;
     end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     ComboBox1.itemindex:=0;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
     case TRadiobutton(Sender).tag of
       0: DFWFoldPanel1.FoldPosition:=fpLeftBottom;
       1: DFWFoldPanel1.FoldPosition:=fpLeftTop;
       2: DFWFoldPanel1.FoldPosition:=fpRightBottom;
       3: DFWFoldPanel1.FoldPosition:=fpRightTop;
     end;
end;

end.
